%define Name statserial
%define Version 1.1
%define Release 9mdk

Summary: A tool which displays the status of serial port modem lines.
Name: %{Name}
Version: %{Version}
Release: %{Release}
Copyright: BSD
Group: Communications
Source: ftp://sunsite.unc.edu/pub/Linux/system/serial/%{Name}-%{Version}.tar.bz2
Patch: %{Name}-%{Version}-config.patch.bz2
BuildRoot: /var/tmp/%{name}-root
Prefix:/usr

%description
The statserial utility displays a table of the signals on a standard
9-pin or 25-pin serial port and indicates the status of the
handshaking lines.  Statserial is useful for debugging serial port
and/or modem problems.

Install the statserial package if you need a tool to help debug serial
port or modem problems.

%prep
%setup -q
%patch -p1 -b .config

%build
%{make}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_mandir}/man1}

install -m 755 -s statserial $RPM_BUILD_ROOT%{_bindir}/statserial
install -m 444 statserial.1 $RPM_BUILD_ROOT%{_mandir}/man1/statserial.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/statserial
%{_mandir}/man1/statserial.1.bz2

%changelog
* Tue Mar 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1-9mdk
- Do nothing but rebuild.

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-8mdk
- BM, spec-helper and macros

* Wed Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1-7mdk
- added define sections
- fix group 

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build

* Sun Jul  4 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip manpages

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 13)

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root
- include arch sparc

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
